Bug 110681 - Undesirable Behavoir of startkde script
Undesirable Behavoir of startkde script
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-23 01:11 EST by A tech
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-15 18:54:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A tech 2003-11-23 01:11:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031016

Description of problem:
The startkde script, which launches kde includes several lines
beginning at line 120, which reset the font path and default to mostly
inaccessable font paths. 

This also has the effect of making TTF and Type 1 fonts in
/usr/share/default sometimes not appearing in applications. 

Version-Release number of selected component (if applicable):
3.1.4-1

How reproducible:
Always

Steps to Reproduce:
1.starkde 
2.
3.
    

Actual Results:  Font path is reset to defaults which are not
appropriate to fontconfig / Xft2. 

This is espcially acute with Scribus,the desktop publishing
application, as it has had its font discovery mechanism substantially
reworked to work with smoothly work with fontconfig and Xft2.   

This causes fonts which are properly installed in either the
X11/libs/fonts or usr/share/fonts/default to be inaccessible.

Expected Results:  With fontconfig, *no* application should need to
reset the font path, or include non-standard directories to access fonts. 

Additional info:

As Kfontinstaller is not enabled in RH/Fedora packaging of KDE base,
this has the effect of overriding and reseting the font path to
:$HOME/.fonts/kde-override.  This is not an intuitive place for end
users to add fonts. The current script makes these directories (empty
other wise) the defaults and preferred font directories. There are
two: one for True Type, one for Type 1.

Recommendation: Eliminate these lines from startkde. This will also
help to speed up loading of KDE, especially with many fonts added by a
user.

Note You need to log in before you can comment on or make changes to this bug.